﻿using System;
using System.Windows.Forms;
using AForge.Video.DirectShow;

namespace UI
{
    public partial class DeviceDetectedForm : Form
    {
        private FilterInfoCollection _devices;
        public event EventHandler DeviceSelected;
        public DeviceDetectedForm(FilterInfoCollection list)
        {
            this._devices = list;
            InitializeComponent();
            this.FillComboBox();
            this.cbDeivces.SelectedIndex = this._devices.Count - 1;
            string text = String.Format("Rozpoznáno nové záznamové zařizení {0}. ", this._devices[this._devices.Count - 1].Name);
            this.lblText.Text = text;
            this.cbDeivces.KeyPress += (sender, e) => {
                e.Handled = true;
            };
            this.btnSelect.Click += (sender, e) => {
                this.OnDeviceSelected(new SelectedDeviceEventArgs(this.cbDeivces.SelectedIndex));
                this.Close();
            };
            this.btnCancel.Click += (sender, e) => {
                this.Close();
            };
        }
        private void OnDeviceSelected(SelectedDeviceEventArgs e)
        {
            if (this.DeviceSelected != null)
                DeviceSelected(this, e);
        }
        private void FillComboBox()
        {
            string[] names = new string[this._devices.Count];
            for (int i = 0; i < names.Length; i++) {
                names[i] = this._devices[i].Name;
            }
            this.cbDeivces.DataSource = names;
        }
    }
}
