﻿using System;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;

namespace UI
{
    public partial class TrackingDetailsForm : Form
    {

        private bool _isForcedClosed;

        #region Properties , variables
        public event WindowClosed OnWindowClosed;
        private static TrackingDetailsForm _instance;
        public static TrackingDetailsForm Instance
        {
            get
            {
                if (_instance == null) {
                    _instance = new TrackingDetailsForm();
                }
                return TrackingDetailsForm._instance;
            }
            private set
            {
                TrackingDetailsForm._instance = value;
            }
        }
        public bool IsLoaded
        {
            get;
            private set;
        }
        #endregion

        #region Meethods
        private TrackingDetailsForm()
        {
            InitializeComponent();
            this._isForcedClosed = false;
            this.IsLoaded = false;
            this.MaximumSize = new Size(450, 2000);
        }
        public void AddRecord(string record)
        {
            this.listBox1.Items.Add(record);
            this.listBox1.SelectedIndex = listBox1.Items.Count - 1;
        }
        public void ForcedClose()
        {
            this._isForcedClosed = true;
            this.Close();
        }

        public new void Dock(Form parent)
        {
            this.Location = new Point(parent.Right, parent.Top);
        }
        public void Clear()
        {
            this.listBox1.Items.Clear();

        }
        #endregion

        #region Overriden methods
        protected override void OnClosing(CancelEventArgs e)
        {
            e.Cancel = !this._isForcedClosed;
            base.OnClosing(e);
            this.Visible = false;
            this.ShowInTaskbar = false;
            if (this.OnWindowClosed != null) {
                this.OnWindowClosed(e.Cancel);
            }
        }
        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);
            this.ShowInTaskbar = true;
        }
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);
            this.IsLoaded = true;
        }


        #endregion

    }
}
