﻿using System.Drawing;

namespace TrackerGraphic
{
    /// <summary>
    /// Argumenty  k události TargetSelection, nesou vyjmutý obrýzek cíle a jeho ohranicujici oblast (rectangle)
    /// </summary>
    public class TargetSelectionEventArgs
    {
        #region Fields
        /// <summary>
        /// Obrazek vybraneho objektu
        /// </summary>
        private Bitmap _selectedObject;
        /// <summary>
        /// ohraniceni cilove oblasti
        /// </summary>
        private Rectangle _targetRectangle;
        #endregion //end fields

        #region Properties
        /// <summary>
        /// Get Vybraný objekt
        /// </summary>
        public Bitmap SelectedObject
        {
            get
            {
                return this._selectedObject;
            }
        }
        /// <summary>
        /// Get Ohraniceni cilove oblasti
        /// </summary>
        public Rectangle TargetRectangle
        {
            get
            {
                return this._targetRectangle;
            }
        }
        #endregion

        #region Constructors

        /// <summary>
        /// Initializes a new instance of the <see cref="TargetSelectionEventArgs"/> class.
        /// </summary>
        /// <param name="selectedObject">The selected object.</param>
        /// <param name="targetRectangle">The target rectangle.</param>
        public TargetSelectionEventArgs(Bitmap selectedObject, Rectangle targetRectangle)
        {
            this._selectedObject = selectedObject;
            this._targetRectangle = targetRectangle;
        }
        #endregion //end constructors
    }
}
