﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using AForge.Video.DirectShow;

namespace UI
{
    public partial class DeviceDetectedForm : Form
    {
        private FilterInfoCollection m_devices;
        public event EventHandler DeviceSelected;
        public DeviceDetectedForm(FilterInfoCollection list)
        {
            this.m_devices = list;
            InitializeComponent();
            this.FillComboBox();
            this.cbDeivces.SelectedIndex = this.m_devices.Count - 1;
            string text = String.Format("Rozpoznáno nové záznamové zařizení {0}. ", this.m_devices[this.m_devices.Count - 1].Name);
            this.lblText.Text = text;
            this.cbDeivces.KeyPress += (sender, e) => { e.Handled = true; };
            this.btnSelect.Click += (sender, e) => { this.OnDeviceSelected(new SelectedDeviceEventArgs(this.cbDeivces.SelectedIndex)); this.Close(); };
            this.btnCancel.Click += (sender, e) => { this.Close(); };
  
        }
        private void OnDeviceSelected(SelectedDeviceEventArgs e)
        {
            if (this.DeviceSelected != null)
                DeviceSelected(this, e);
        }
        private void FillComboBox()
        {
            string[] names = new string[this.m_devices.Count];
            for (int i = 0; i < names.Length; i++)
            {
                names[i] = this.m_devices[i].Name;
            }
            this.cbDeivces.DataSource = names;
        }
    }
}
